aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFlammie <Flammie@32389bae-6d03-0410-99cf-db05cde120eb>2009-01-07 11:42:08 +0000
committerFlammie <Flammie@32389bae-6d03-0410-99cf-db05cde120eb>2009-01-07 11:42:08 +0000
commitf177b61210c1bedeb64a799d522b49a56b4f9402 (patch)
treeeb53cf1a21cff8f97c39e673e08bc8e044dc43ce /sci-misc/foma
parentBump to OpenCascade 6.3 Needs testing... (diff)
downloadsci-f177b61210c1bedeb64a799d522b49a56b4f9402.tar.gz
sci-f177b61210c1bedeb64a799d522b49a56b4f9402.tar.bz2
sci-f177b61210c1bedeb64a799d522b49a56b4f9402.zip
Finite state toolkit foma. Initial ebuild.
git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@1366 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'sci-misc/foma')
-rw-r--r--sci-misc/foma/ChangeLog8
-rw-r--r--sci-misc/foma/Manifest4
-rw-r--r--sci-misc/foma/foma-0.9.1_alpha.ebuild33
-rw-r--r--sci-misc/foma/metadata.xml8
4 files changed, 53 insertions, 0 deletions
diff --git a/sci-misc/foma/ChangeLog b/sci-misc/foma/ChangeLog
new file mode 100644
index 000000000..35fc065ca
--- /dev/null
+++ b/sci-misc/foma/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for sci-misc/foma
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*foma-0.9.1_alpha (05 Jan 2009)
+
+ 05 Jan 2009; Flammie Pirinen <flammie@gentoo.org> +foma_0.9.1_alpha.ebuild:
+ Initial ebuild.
diff --git a/sci-misc/foma/Manifest b/sci-misc/foma/Manifest
new file mode 100644
index 000000000..4b1898f47
--- /dev/null
+++ b/sci-misc/foma/Manifest
@@ -0,0 +1,4 @@
+DIST foma-0.9.1alpha.tar.gz 238601 RMD160 971e8d5990c85ee78e34fb9b64424030f16b556a SHA1 7c2127e30f12bc3330d3c49c27020b69aadcdfe4 SHA256 5b72417a4654e62959f4e52e7c1db391b3c2058b4054fb197fa763c7999bd70e
+EBUILD foma-0.9.1_alpha.ebuild 625 RMD160 e4666a074b47cda1639d93211ca0b9d3e1d7ee19 SHA1 d4d5f0cd5908df1177933252c153cc91f4928092 SHA256 fd670315f134d04cd6a6b6dff817364214e2835f421548f26b93caad4ba0d6dd
+MISC ChangeLog 244 RMD160 26516017c69de9f207e0e3aea7c9f9cedc16f7cd SHA1 a08283328bb4bdec62ff351ed21e12c6b76d21ef SHA256 b70bab17df7dbf410a25dba9def6921d051dbdee3142554301b8cf695c86bbb0
+MISC metadata.xml 223 RMD160 754bf1189c9d51090f3e0439f6e7d6f603b93df0 SHA1 54348ca01c174e03ff3318b2a9da50d970db6695 SHA256 5c57a999484660ea4a3e55f9c526bb38097d5c1cb2356353133ec4d7e89f1f88
diff --git a/sci-misc/foma/foma-0.9.1_alpha.ebuild b/sci-misc/foma/foma-0.9.1_alpha.ebuild
new file mode 100644
index 000000000..ab8c63309
--- /dev/null
+++ b/sci-misc/foma/foma-0.9.1_alpha.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+MY_P=${P/_alpha/alpha}
+
+DESCRIPTION="Finite state toolkit compatible with Xerox tools"
+
+HOMEPAGE="http://foma.sf.net/"
+
+SRC_URI="http://dingo.sbs.arizona.edu/~mhulden/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+
+SLOT="0"
+
+KEYWORDS="~amd64"
+
+IUSE=""
+
+DEPEND=">=sys-devel/bison-2.3
+ >sys-devel/flex-2.5.4
+ sys-libs/readline
+ dev-libs/boehm-gc"
+
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_install() {
+ dobin foma || die "installing binaries failed"
+ dodoc README README.symbols || die "installing docs failed"
+}
diff --git a/sci-misc/foma/metadata.xml b/sci-misc/foma/metadata.xml
new file mode 100644
index 000000000..0ad3ea858
--- /dev/null
+++ b/sci-misc/foma/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>no-herd</herd>
+<maintainer>
+ <email>flammie@gentoo.org</email>
+</maintainer>
+</pkgmetadata>